/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSLGADJUSTDATA') 
 CREATE TABLE T_BCM_DSLGADJUSTDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,15) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FFY VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FSCENARIO VARCHAR(100) DEFAULT ' ' NOT NULL,
FMULTIGAAP VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCY VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANGETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FAUDITTRAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROCESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASORT VARCHAR(100) DEFAULT ' ' NOT NULL,
FINTERNALCOMPANY VARCHAR(100) DEFAULT ' ' NOT NULL,
FMYCOMPANY VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM1 VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM2 VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM3 VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM4 VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM5 VARCHAR(100) DEFAULT ' ' NOT NULL,
FDIM6 VARCHAR(100) DEFAULT ' ' NOT NULL,
FSSID BIGINT DEFAULT 0 NOT NULL,
FSOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBELONGORG VARCHAR(100) DEFAULT ' ' NOT NULL,
FBALANCEDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDEBITUNIT CHAR(1) DEFAULT '1' NOT NULL,
FPARENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FJOURNALGROUP VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DSLGADJUSTDATA_L') 
 CREATE TABLE T_BCM_DSLGADJUSTDATA_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTRYDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
